<?php
/*************************************************************************************
 * prolog.php
 * -----
 * Contact: Grzegorz J. Nalepa <gjn@agh.edu.pl>
 * Author: Pawel Kupka <pawel.kupka@gmail.com>
 * Supervision: Grzegorz J. Nalepa <gjn@agh.edu.pl>
 *
 * Copyright: (c) 2007 Pawel Kupka
 * Copyright: (c) 2004 Nigel McNie (http://qbnz.com/highlighter/)
 *
 * Prolog language file for GeSHi.
 *
 * CHANGES
 * -------
 * 2008/02/29
 *   -  Official submission to GeSHi
 * 2007/04/12 (1.0.0)
 *   -  First Release
 *
 * Based on:
 * Release Version: 1.0.7.17
 * CVS Revision Version: $Revision: 866 $
 * Date Started: 2004/06/04
 * Last Modified: $Date: 2006-11-26 21:40:26 +1300 (Sun, 26 Nov 2006) $
 *
 *
 *************************************************************************************
 *
 *     This file is part of GeSHi.
 *
 *   GeSHi is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   GeSHi is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with GeSHi; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 ************************************************************************************/######

$language_data = array (
	'LANG_NAME' => 'Prolog',
	'COMMENT_SINGLE' => array(1 => '%'),
	'COMMENT_MULTI' => array('/*' => '*/'),
	'CASE_KEYWORDS' => GESHI_CAPS_NO_CHANGE,
	'QUOTEMARKS' => array("'", '"'),
	'ESCAPE_CHAR' => '\\',
	'KEYWORDS' => array(),
	'SYMBOLS' => array(
	   '+', '-', '*', '/', '\\', '^', '<', '>', '=', '~', ':', '.', '?', '@', '#', '$', '&'
		),
	'CASE_SENSITIVE' => array(
		GESHI_COMMENTS => false
		),
	'STYLES' => array(
		'KEYWORDS' => array(),
		'COMMENTS' => array(
			1 => 'color: #FF6633; font-style: italic;',
			'MULTI' => 'color: #FF6633; font-style: italic;'
			),
		'ESCAPE_CHAR' => array(
			0 => 'color: #000000;'
			),
		'BRACKETS' => array(
		    0 => 'color: #000000;'
			),
		'STRINGS' => array(
			0 => 'color: #ff0000;'
			),
		'NUMBERS' => array(
			0 => 'color: #cc66cc;'
			),
		'METHODS' => array(
			),
		'SYMBOLS' => array(
			0 => 'color: #000000;'
			),
		'REGEXPS' => array(
		    1 => 'color: #0000ff;',
		    2 => 'color: #0000ff;',
		    3 => 'color: #0000ff;',
		    4 => 'color: #cc9900;'
		    ),
		'SCRIPT' => array()
		),
	'URLS' => array(),
	'OOLANG' => false,
	'OBJECT_SPLITTERS' => array(),
	'REGEXPS' => array(
	   //predicates
      1 => array(
		   GESHI_SEARCH => '([^&]{1})(\b[a-z]\w*)',
			GESHI_REPLACE => '\\2',
			GESHI_MODIFIERS => '',
			GESHI_BEFORE => '\\1',
			GESHI_AFTER => ''
			),
	   //solo-char ! 
      2 => array(
		   GESHI_SEARCH => '([^\|]{1})(!)([^\>]{1})',
			GESHI_REPLACE => '\\2',
			GESHI_MODIFIERS => '',
			GESHI_BEFORE => '\\1',
			GESHI_AFTER => '\\3'
			),
	   //solo-char  ;
      3 => array(
		   GESHI_SEARCH => '([^a-zA-Z]{1})(;)',
			GESHI_REPLACE => '\\2',
			GESHI_MODIFIERS => '',
			GESHI_BEFORE => '\\1',
			GESHI_AFTER => ''
			),
		//variables
      4 => array(
			GESHI_SEARCH => '([^!]{1})(\b[A-Z_]\w*)',
			GESHI_REPLACE => '\\2',
			GESHI_MODIFIERS => '',
			GESHI_BEFORE => '\\1',
			GESHI_AFTER => '',
			)
		),
	'STRICT_MODE_APPLIES' => GESHI_NEVER,
	'SCRIPT_DELIMITERS' => array(),
	'HIGHLIGHT_STRICT_BLOCK' => array()
);

?>
